Bug 832864 (CVE-2012-2088) - CVE-2012-2088 libtiff: Type conversion flaw leading to heap-buffer overflow
Summary: CVE-2012-2088 libtiff: Type conversion flaw leading to heap-buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-2088
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20120615,repo...
Depends On: 832866 835746 835747 835748 835749
Blocks: 803079
TreeView+ depends on / blocked
 
Reported: 2012-06-18 04:41 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 19:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-31 17:34:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1054 normal SHIPPED_LIVE Important: libtiff security update 2012-07-03 13:29:13 UTC

Description Huzaifa S. Sidhpurwala 2012-06-18 04:41:07 UTC
A type-conversion flaw leading to a heap-based buffer overflow was found in the way libtiff reads certain tiled tiff files. An attacker could create a specially-crafted TIFF image that, when opened, could cause an application using libtiff to crash or, possibly, execute arbitrary code with the privileges of the user running the application.

This issue does affects only version 3.x, but is fixed in upstream 4.x

This bug has been split from: bug 810551

Comment 1 Huzaifa S. Sidhpurwala 2012-06-18 04:59:15 UTC
Created libtiff tracking bugs for this issue

Affects: fedora-all [bug 832866]

Comment 6 errata-xmlrpc 2012-07-03 09:30:30 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1054 https://rhn.redhat.com/errata/RHSA-2012-1054.html

Comment 7 Fedora Update System 2012-07-15 21:25:48 UTC
libtiff-3.9.6-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-07-15 21:26:53 UTC
libtiff-3.9.6-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.